<?php
/**
 * $Horde: horde/casProxy.php,v 1.0 2009/02/11 $
 *
 * Copyright 1999-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (LGPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 *
 * @author  Julien Marchal <julien.marchal@univ-nancy2.fr>
 */

@define('AUTH_HANDLER', true);
define('HORDE_BASE', '/usr/share/horde3');

require_once HORDE_BASE . '/lib/core.php';
require_once HORDE_BASE .'/config/conf.php';
if (!empty($GLOBALS['conf']['vhosts'])) {
	include_once HORDE_BASE . '/config/conf-' . $GLOBALS['conf']['server']['name'] . '.php';
}
if(isset($_GET['pgtIou'])){  
	$auth = &Auth::singleton($conf['auth']['driver']);
	
	if (is_a($auth, 'PEAR_Error')) {
		Horde::fatal($auth, __FILE__, __LINE__);
	}
	// must load driver if use composite auth
	if(is_a($auth,"Auth_composite")) {
		$auth->authenticate("none","none");
	}
	
}
@session_destroy();
?>
